com.smartgwt.client.bean

## Enum BeanValueType.Convertability

- java.lang.Object
- - java.lang.Enum<BeanValueType.Convertability>
  - - com.smartgwt.client.bean.BeanValueType.Convertability

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BeanValueType.Convertability>
  Enclosing class:
    BeanValueType<ValueType>

      public static enum BeanValueType.Convertability
      extends java.lang.Enum<BeanValueType.Convertability>

  An enum used to indicate how well a BeanValueType can handle a conversion. Used to choose among multiple getters or setters, if available.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXACT` The value is of this type, so conversion is exact.
    `PREFERRED` The value can be converted to the type, and this type is preferrable to others.
    `SUPPORTED` The value can be converted to the type, but other types might handle it better..
    `UNSUPPORTED` The value cannot be converted to the type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BeanValueType.Convertability` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BeanValueType.Convertability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSUPPORTED

          public static final BeanValueType.Convertability UNSUPPORTED

      The value cannot be converted to the type.

    - #### SUPPORTED

          public static final BeanValueType.Convertability SUPPORTED

      The value can be converted to the type, but other types might handle it better..

    - #### PREFERRED

          public static final BeanValueType.Convertability PREFERRED

      The value can be converted to the type, and this type is preferrable to others.

    - #### EXACT

          public static final BeanValueType.Convertability EXACT

      The value is of this type, so conversion is exact.

  - ### Method Detail

    - #### values

          public static BeanValueType.Convertability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BeanValueType.Convertability c : BeanValueType.Convertability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BeanValueType.Convertability valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null